package dao

import (
	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type IRightDAO interface {
	Grant(model.Role, model.Channel, model.RightEnum) *util.ChatError
	Update(model.Role, model.Channel, model.RightEnum) *util.ChatError
	Revoke(model.Role, model.Channel) *util.ChatError
	ListRoleRights(model.Role) (map[int]model.RightEnum, *util.ChatError)
	ListUserRigths(model.User) (map[int]model.RightEnum, *util.ChatError)
}
